package com.sunxung.factoring.entity.project.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 新闻舆情
 * </p>
 *
 * @author liutao
 * @since 2023-11-23
 */
public class CNews extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 来源
     */
    private String source;

    /**
     * 新闻标题
     */
    private String title;

    /**
     * 新闻来源Url
     */
    private String url;

    /**
     * 发布时间
     */
    private String publishTime;

    /**
     * 情感类型
     */
    private String emotionType;

    /**
     * 类别
     */
    private String category;

    /**
     * 新闻标签
     */
    private String newsTags;

    /**
     * 新闻内容
     */
    private String content;

    /**
     * 综合风险排查信息表id
     */
    private Long comprehensiveRiskInvestigationId;

    @JSONField(name = "id")
    private String idStr;

    /**
     * 重大负面新闻舆情 0 否 1 是
     */
    private Integer News;

    public Integer getNews() {
        return News;
    }

    public void setNews(Integer news) {
        News = news;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
    public String getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(String publishTime) {
        this.publishTime = publishTime;
    }
    public String getEmotionType() {
        return emotionType;
    }

    public void setEmotionType(String emotionType) {
        this.emotionType = emotionType;
    }
    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }
    public String getNewsTags() {
        return newsTags;
    }

    public void setNewsTags(String newsTags) {
        this.newsTags = newsTags;
    }
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
    public Long getComprehensiveRiskInvestigationId() {
        return comprehensiveRiskInvestigationId;
    }

    public void setComprehensiveRiskInvestigationId(Long comprehensiveRiskInvestigationId) {
        this.comprehensiveRiskInvestigationId = comprehensiveRiskInvestigationId;
    }

    @Override
    public String toString() {
        return "CNews{" +
            "source=" + source +
            ", title=" + title +
            ", url=" + url +
            ", publishTime=" + publishTime +
            ", emotionType=" + emotionType +
            ", category=" + category +
            ", newsTags=" + newsTags +
            ", content=" + content +
            ", comprehensiveRiskInvestigationId=" + comprehensiveRiskInvestigationId +
        "}";
    }
}
